Subject: [alpine-aports] [PATCH 1/2] main/sxiv: upgrade to 1.3.2

From: Sören Tempel <[email-masked]>
Date: Tue, 22 Dec 2015 09:37:10 +0100

---
 main/sxiv/APKBUILD | 33 +++++++++++----------------------
 1 file changed, 11 insertions(+), 22 deletions(-)

diff --git a/main/sxiv/APKBUILD b/main/sxiv/APKBUILD
index 9f8bc7a..e99ba29 100644
--- a/main/sxiv/APKBUILD
+++ b/main/sxiv/APKBUILD
@@ -1,6 +1,7 @@
+# Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Eivind Uggedal <[email-masked]>
 pkgname=sxiv
-pkgver=1.3.1
+pkgver=1.3.2
 pkgrel=0
 pkgdesc="Simple X Image Viewer"
 url="https://github.com/muennich/sxiv"
@@ -11,32 +12,20 @@ depends_dev=""
 makedepends="imlib2-dev giflib-dev libexif-dev"
 install=""
 subpackages="$pkgname-doc"
-source="$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz
-	"
+source="$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
 build() {
-	cd "$_builddir"
-
-	make
+	make -C "$_builddir" || return 1
 }
 
 package() {
-	cd "$_builddir"
-
-	make PREFIX="$pkgdir"/usr install
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+	install -Dm644 "$_builddir"/README.md \
+		"$pkgdir"/usr/share/doc/$pkgname/README.md || return 1
 }
 
-md5sums="3255d0d47e0a4cddd752ec03ee4bddaf  sxiv-1.3.1.tar.gz"
-sha256sums="9a30a1b036e1c17212128554709da3f2d65d3beaef2e0a73097af5e35cf11d0e  sxiv-1.3.1.tar.gz"
-sha512sums="a3ffeea7fb85188c844ec8fabf8a162aa6c4f695674b44db7c60a4608956051ff5963cb85aba86cd4f16ab63a0cf84cd2309c325e22075537175bf1b65327b77  sxiv-1.3.1.tar.gz"
+md5sums="44822b3d4672a7ed22f1a14c86a0914f  sxiv-1.3.2.tar.gz"
+sha256sums="9f5368de8f0f57e78ebe02cb531a31107a993f2769cec51bcc8d70f5c668b653  sxiv-1.3.2.tar.gz"
+sha512sums="3bcf67a778a3e40cb6ae6b6fcc685cd57e303265df34c8a56d6ebb8ad0237e7136e738c44fee5c5504c73e4722d017f1e746691fac482568b2a960931f1ecdd5  sxiv-1.3.2.tar.gz"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Tue, 22 Dec 2015 09:37:11 +0100

---
 main/rsync/APKBUILD | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/main/rsync/APKBUILD b/main/rsync/APKBUILD
index cdc059d..2e9e64b 100644
--- a/main/rsync/APKBUILD
+++ b/main/rsync/APKBUILD
@@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=rsync
-pkgver=3.1.1
+pkgver=3.1.2
 pkgrel=2
 pkgdesc="A file transfer program to keep remote files in sync"
 url="http://samba.anu.edu.au/rsync/"
@@ -8,16 +8,15 @@ arch="all"
 license="GPL3"
 depends=
 makedepends="perl acl-dev popt-dev"
+subpackages="$pkgname-doc"
 source="http://$pkgname.samba.org/ftp/$pkgname/$pkgname-$pkgver.tar.gz
 	rsyncd.initd
 	rsyncd.confd
 	rsyncd.conf
 	rsyncd.logrotate
 	"
-subpackages="$pkgname-doc"
 
 _builddir="$srcdir/$pkgname-$pkgver"
-
 prepare() {
 	cd "$_builddir"
 	./prepare-source || return 1
@@ -32,6 +31,9 @@ build() {
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
 		|| return 1
 	make || return 1
 }
@@ -45,17 +47,17 @@ package() {
 	install -D -m 644 ../rsyncd.logrotate ${pkgdir}/etc/logrotate.d/rsyncd
 }
 
-md5sums="43bd6676f0b404326eee2d63be3cdcfe  rsync-3.1.1.tar.gz
+md5sums="0f758d7e000c0f7f7d3792610fad70cb  rsync-3.1.2.tar.gz
 cd237feca33f6a120fee76499652a460  rsyncd.initd
 e5e62e8cef29e09c22e8ba8152ec1751  rsyncd.confd
 a99211a14af1766ba849035241cd5bb2  rsyncd.conf
 169cafc6907a4c3787bb0462e9d6a5c2  rsyncd.logrotate"
-sha256sums="7de4364fcf5fe42f3bdb514417f1c40d10bbca896abe7e7f2c581c6ea08a2621  rsync-3.1.1.tar.gz
+sha256sums="ecfa62a7fa3c4c18b9eccd8c16eaddee4bd308a76ea50b5c02a5840f09c0a1c2  rsync-3.1.2.tar.gz
 c70ba2400123b75c869e6e3eb25108ba21d748cc3008889112cec627515fa1de  rsyncd.initd
 de758791b16b89a648c01867af7f51bc9bd44e40cbe868e439b753ff5d9572e5  rsyncd.confd
 2c00ca760c26bd7d6e1d8306d48eb9b27d876516c354f6d37c458871d5ac012f  rsyncd.conf
 eb54100686a253d4d14c9c67fcc20f92d88c0616692bffea899c6a8f8f980c7c  rsyncd.logrotate"
-sha512sums="ec0e46ff532a09a711282aaa822f5f1c133593ee6c1c474acd67284619236e6a202f0f369d3e67a95ceb3a3b1c39ea7fb609d6d6fb950f3be6e0f6372e903e21  rsync-3.1.1.tar.gz
+sha512sums="4c55fd69f436ead0cb5a0b7c6fdfef9bb28ddb9c63534eb619e756b118d5b08cfc5e696498650932c86e865b37e06633da947e6720ca0c27ed5c034313ae208b  rsync-3.1.2.tar.gz
 27f99ee64b99bb57fe3da55fc93fefc33326175fdcad01a3d93dea3aa61daaf21cd9b1063be572fa8abc5d2d444f2e64f0f6f64241176ae53bf61f9e4cb0dca9  rsyncd.initd
 8ea9a2f1fea508fa132313fa16513eac84a9ed3ce75741c42769b56bbcd3f1bd2eb8bfdfe40a6c7f619e4281e8fc8d95d1bd84096d0b64aaacf606cd614ae5b3  rsyncd.confd
 5bcd339bac70d7c2efc2a028852efb9a4a78d8b7b114979763d29d0b378afceb753954c31cca5dfb05dadd88479e5c875626e297ba31a57ee3da5ecad29dbd6d  rsyncd.conf
-- 
2.6.4

---